<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: behav Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="enumtiming__adapter__32.html">timing_adapter_32</a></li><li class="navelem"><a class="el" href="classtiming__adapter__32_1_1behav.html">behav</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behav Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classtiming__adapter__32_1_1behav-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a85e10e65ba6bbd9bc09ee5e5c8feb390"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a85e10e65ba6bbd9bc09ee5e5c8feb390"></a>
<a class="el" href="classtiming__adapter__32_1_1behav.html#a85e10e65ba6bbd9bc09ee5e5c8feb390">PROCESS_1032</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">in_data</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">in_startofpacket</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">in_endofpacket</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">in_empty</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">in_error</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">out_payload</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ad2a8b284dce3366160bebe99410fd1e6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad2a8b284dce3366160bebe99410fd1e6"></a>
<a class="el" href="classtiming__adapter__32_1_1behav.html#ad2a8b284dce3366160bebe99410fd1e6">PROCESS_1033</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">fifo_fill</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">out_valid_wire</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">out_ready</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a12c8351217377720bdf5627c1b5fd660"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12c8351217377720bdf5627c1b5fd660"></a>
<a class="el" href="classtiming__adapter__32_1_1behav.html#a12c8351217377720bdf5627c1b5fd660">PROCESS_1441</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">in_data</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">in_startofpacket</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">in_endofpacket</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">in_empty</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">in_error</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">out_payload</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a487f28090926f649937023e9d966cf5d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a487f28090926f649937023e9d966cf5d"></a>
<a class="el" href="classtiming__adapter__32_1_1behav.html#a487f28090926f649937023e9d966cf5d">PROCESS_1442</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">fifo_fill</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">out_valid_wire</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">out_ready</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:ae229f5527ea57b1b80be21cdfa211afd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae229f5527ea57b1b80be21cdfa211afd"></a>
<a class="el" href="classtiming__adapter__32_1_1behav.html#ae229f5527ea57b1b80be21cdfa211afd">timing_adapter_fifo_32</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="enumtiming__adapter__fifo__32.html">&lt;Entity timing_adapter_fifo_32&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a8772ca81951b7520a8f6d5681eae674f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8772ca81951b7520a8f6d5681eae674f"></a>
<a class="el" href="classtiming__adapter__32_1_1behav.html#a8772ca81951b7520a8f6d5681eae674f">in_payload</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">36</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7e4241e68c33b22b119a9b79eb24eecf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7e4241e68c33b22b119a9b79eb24eecf"></a>
<a class="el" href="classtiming__adapter__32_1_1behav.html#a7e4241e68c33b22b119a9b79eb24eecf">out_payload</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">36</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a466d94d3f5aa8ac8cd614ce3d09ad179"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a466d94d3f5aa8ac8cd614ce3d09ad179"></a>
<a class="el" href="classtiming__adapter__32_1_1behav.html#a466d94d3f5aa8ac8cd614ce3d09ad179">in_ready_wire</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a74bfd446840fa7b5b62fcdc5276fff07"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a74bfd446840fa7b5b62fcdc5276fff07"></a>
<a class="el" href="classtiming__adapter__32_1_1behav.html#a74bfd446840fa7b5b62fcdc5276fff07">out_valid_wire</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a168e74e7547b329c07ddfacf6626d505"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a168e74e7547b329c07ddfacf6626d505"></a>
<a class="el" href="classtiming__adapter__32_1_1behav.html#a168e74e7547b329c07ddfacf6626d505">fifo_fill</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a92d951a922e62ff2edbadc5107b727e7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a92d951a922e62ff2edbadc5107b727e7"></a>
<a class="el" href="classtiming__adapter__32_1_1behav.html#a92d951a922e62ff2edbadc5107b727e7">ready</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:ad6c5641de1b59046b7d75573ad1d2c6c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad6c5641de1b59046b7d75573ad1d2c6c"></a>
<a class="el" href="classtiming__adapter__32_1_1behav.html#ad6c5641de1b59046b7d75573ad1d2c6c">timing_adapter_fifo</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>timing_adapter_fifo_32</b>  <em><a class="el" href="enumtiming__adapter__fifo__32.html">&lt;Entity timing_adapter_fifo_32&gt;</a></em></td></tr>
<tr class="memitem:ad6c5641de1b59046b7d75573ad1d2c6c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad6c5641de1b59046b7d75573ad1d2c6c"></a>
<a class="el" href="classtiming__adapter__32_1_1behav.html#ad6c5641de1b59046b7d75573ad1d2c6c">timing_adapter_fifo</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>timing_adapter_fifo_32</b>  <em><a class="el" href="enumtiming__adapter__fifo__32.html">&lt;Entity timing_adapter_fifo_32&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2timing__adapter__32_8vhd_source.html#l00070">70</a> of file <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2timing__adapter__32_8vhd_source.html">timing_adapter_32.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/tse_rgmii_testbench/testbench_vhdl/models/<a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2timing__adapter__32_8vhd_source.html">timing_adapter_32.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/WIB_TSE_testbench/testbench_vhdl/models/<a class="el" href="WIB__TSE__testbench_2testbench__vhdl_2models_2timing__adapter__32_8vhd_source.html">timing_adapter_32.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:36 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
